services:
  jellyfin:
    image: linuxserver/jellyfin:latest
    container_name: jellyfin
    environment:
      - PUID=1032
      - PGID=65537
      - TZ=America/Vancouver
      - UMASK=022
      - JELLYFIN_PublishedServerUrl=192.168.1.201
    volumes:
      - /volume1/docker/jellyfin:/config
      - /volume1/data/media:/data/media
    devices:
      - /dev/dri/renderD128:/dev/dri/renderD128
      - /dev/dri/card0:/dev/dri/card0
    ports:
      - 8096:8096/tcp #web port
      - 8920:8920/tcp #optional
      - 7359:7359/udp #optional
    network_mode: mediabridge
    security_opt:
      - no-new-privileges:true
    restart: always